Retrieves all job_files
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| jobs_id |
Job Id |
globally unique identifier |
Required |
| job_approval_id |
Job approval Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id | globally unique identifier | ||
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier | ||
| show_on_web | boolean | ||
| db_report_id |
The id of db_report |
globally unique identifier |
Response Formats
application/json, text/json
{
"id": "e22242dc-2251-4ecc-a49d-000f90e720de",
"jobs_id": "3ba41757-3ab7-484f-972c-f8a6ef3fcb8a",
"job_approval_id": "dd7814f2-440f-4399-8a7b-0fcafd9fb0b3",
"file_name": "sample string 4",
"name": "sample string 5",
"description": "sample string 6",
"tags": "sample string 7",
"mime_type": "sample string 8",
"file_type": "sample string 9",
"image_height": 10,
"image_width": 11,
"file_size": 12,
"sales_organization_id": "0aa6975a-17bf-4582-8f75-91c9f4d24028",
"sales_organization_code": "sample string 14",
"file_content": "QEA=",
"dateutc_added": "2026-11-01T23:50:07.7400781+00:00",
"modified_dateutc": "2026-11-01T23:50:07.7400781+00:00",
"user_id": "3cf25bf5-b441-4907-82d1-efb4a27e2d4d",
"show_on_web": true,
"db_report_id": "4ddd2fb8-3692-49fe-b486-a6466591e897"
}